// packageD/energy/powerNotes/powerNotes.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.id) {
      this.setData({
        id: options.id
      });
    }
    // this.getdata()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      wx.showToast({
        title: '没有更多',
        icon:'none',
        duration:1000
      });
    }else{
      this.setData({
        page:this.data.page +1
      });
      this.getMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getdata() {
    let urlStr = app.getNetAddresss("plugin.energy-cabin.frontend.dealer-terminal.use-log");
    let that = this;
    app._getNetWork({
      url: urlStr,
      data: {
        equipment_id: that.data.id,
        page: that.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            datas: res.data.data,
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  getMore() {
    let urlStr = app.getNetAddresss("plugin.energy-cabin.frontend.dealer-terminal.use-log");
    let that = this;
    app._getNetWork({
      url: urlStr,
      data: {
        equipment_id: that.data.id,
        page: that.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            datas: that.data.datas.concat(res.data.data),
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  }
});